"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EditorGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const zustand_1 = require("zustand");
const store_1 = require("../store.cjs");
const utils_1 = require("../utils.cjs");
/** Holds a group of editors. */
const EditorGroup = (props) => {
    const { children, id, ...attrs } = props;
    const store = (0, store_1.useBoothStore)();
    const active = (0, zustand_1.useStore)(store, (state) => state.activeGroup === id);
    (0, react_1.useEffect)(() => {
        const state = store.getState();
        if (!state.activeGroup) {
            store.setState({ activeGroup: id });
        }
    }, []);
    return ((0, jsx_runtime_1.jsx)("div", { "aria-expanded": active, "aria-labelledby": utils_1.ids.groupTab({ group: id }), hidden: !active, className: "lqv-editor-group", id: utils_1.ids.editorGroup({ group: id }), role: "tabpanel", ...attrs, children: react_1.Children.map(children, (node) => {
            if (typeof node === "object" && "props" in node) {
                return (0, react_1.cloneElement)(node, { group: id });
            }
            return node;
        }) }));
};
exports.EditorGroup = EditorGroup;
