"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Resize = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const misc_1 = require("@liqvid/utils/misc");
const react_1 = require("@liqvid/utils/react");
const react_2 = require("react");
/**
 * Component for adjusting the vertical editor/console split.
 */
function Resize({ dir = "ew", max = 0.75, min = 0.25, }) {
    const ref = (0, react_2.useRef)();
    /* event handlers */
    const resizeEvents = (0, react_2.useMemo)(() => {
        let container;
        return (0, react_1.onDrag)((e, { x, y }) => {
            const rect = container.getBoundingClientRect();
            if (dir === "ew") {
                container.style.setProperty("--split", (0, misc_1.clamp)(min, (x - rect.left) / rect.width, max) * 100 + "%");
            }
            else if (dir === "ns") {
                container.style.setProperty("--v-split", (0, misc_1.clamp)(min, (rect.bottom - y) / rect.height, max) * 100 + "%");
            }
        }, () => {
            container = ref.current.closest(".lqv-codebooth");
            container.classList.add("dragging");
        }, () => {
            container.classList.remove("dragging");
        });
    }, []);
    return ((0, jsx_runtime_1.jsx)("div", { ...resizeEvents, ref: ref, className: `ui-resizable-handle ui-resizable-${dir}` }));
}
exports.Resize = Resize;
