"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shortcuts = exports.recording = exports.basicSetup = void 0;
const autocomplete_1 = require("@codemirror/autocomplete");
const commands_1 = require("@codemirror/commands");
const language_1 = require("@codemirror/language");
const lint_1 = require("@codemirror/lint");
const search_1 = require("@codemirror/search");
const state_1 = require("@codemirror/state");
const view_1 = require("@codemirror/view");
exports.basicSetup = [
    (0, view_1.lineNumbers)(),
    (0, view_1.highlightActiveLineGutter)(),
    (0, view_1.highlightSpecialChars)(),
    (0, commands_1.history)(),
    (0, language_1.foldGutter)(),
    (0, view_1.drawSelection)(),
    (0, view_1.dropCursor)(),
    state_1.EditorState.allowMultipleSelections.of(true),
    (0, language_1.indentOnInput)(),
    (0, language_1.syntaxHighlighting)(language_1.defaultHighlightStyle, { fallback: true }),
    (0, language_1.bracketMatching)(),
    (0, autocomplete_1.closeBrackets)(),
    (0, autocomplete_1.autocompletion)(),
    (0, view_1.rectangularSelection)(),
    // crosshairCursor(),
    (0, view_1.highlightActiveLine)(),
    (0, search_1.highlightSelectionMatches)(),
    view_1.keymap.of([
        ...autocomplete_1.closeBracketsKeymap,
        ...commands_1.defaultKeymap,
        ...search_1.searchKeymap,
        ...commands_1.historyKeymap,
        ...language_1.foldKeymap,
        ...autocomplete_1.completionKeymap,
        {
            key: "Tab",
            run: autocomplete_1.acceptCompletion,
        },
        commands_1.indentWithTab,
        ...lint_1.lintKeymap,
    ]),
];
exports.recording = new state_1.Compartment();
exports.shortcuts = new state_1.Compartment();
