/**
 * Sanitize a string for use as a CSS class or ID
 */
export function sanitize(str) {
    return str.replace(/[^A-Za-z0-9_-]/g, "_");
}
export const ids = {
    fileTab: ({ filename, group }) => `lqv-tab-${group}-${sanitize(filename)}`,
    groupTab: ({ group }) => `lqv-grouptab-${group}`,
    editorGroup: ({ group }) => `lqv-group-${group}`,
    editorPanel: ({ filename, group }) => `lqv-panel-${group}-${sanitize(filename)}`,
};
