/// <reference types="react" />
import { Editor } from "./Editor";
/** Recording editor. */
export declare const Record: React.FC<React.ComponentProps<typeof Editor> & {
    /**
     * Special key sequences to include in recording.
     * @default {"Mod-Enter":"run","Mod-K":"clear","Mod-L":"clear"}
     */
    captureKeys?: Record<string, string>;
    /**
     * Key sequences to pass through to {@link Keymap}.
     * @default ["Mod-Alt-2","Mod-Alt-3","Mod-Alt-4"]
     */
    passKeys?: string[];
}>;
