/// <reference types="react" />
/** Div to hold buttons. */
export declare const Buttons: React.FC<{
    children?: React.ReactNode;
}>;
/** Button for clearing the output/console. */
export declare const Clear: React.FC;
/** Button for copying the contents of one group to another. */
export declare const Copy: React.FC<{
    /** Source editor group. */
    from: string;
    /** Target editor group. */
    to: string;
}>;
/** Button for resetting editor contents to initial state. */
export declare const Reset: React.FC;
/** Button for running the code. */
export declare const Run: React.FC;
/** Group selection tab. */
export declare const Tab: React.FC<React.ButtonHTMLAttributes<HTMLButtonElement> & {
    /** ID of {@link EditorGroup} this corresponds to */
    id: string;
}>;
/** Holds a list of {@link Tab}s. */
export declare const TabList: React.FC<React.HTMLAttributes<HTMLDivElement>>;
