import { Extension } from "@codemirror/state";
import { CodeRecorder } from "@lqv/codemirror/recording";
import React from "react";
import { ReplayMultiple } from "../components/Replay";
/** HTML demo */
export declare function HTMLDemo(props: {
    children?: React.ReactNode;
    /**
     * CodeMirror extensions to add.
     * @default []
     */
    extensions?: Extension[];
    /**
     * Map of filenames to file contents.
     */
    files: Record<string, string>;
}): JSX.Element;
/** Interactive HTML replay. */
export declare const HTMLReplay: React.FC<{
    children?: React.ReactNode;
    /**
     * CodeMirror extensions to add.
     * @default []
     */
    extensions?: Extension[];
    /** Map of filenames to file contents. */
    files: Record<string, string>;
    /** Coding data to replay. */
    replay: React.ComponentProps<typeof ReplayMultiple>["replay"];
    /**
     * When replay should start.
     * @default 0
     */
    start?: number;
}>;
/** Record HTML demos. */
export declare const HTMLRecord: React.FC<{
    children?: React.ReactNode;
    /**
     * CodeMirror extensions to add.
     * @default []
     */
    extensions?: Extension[];
    /** Map of filenames to file contents. */
    files: Record<string, string>;
    /**
     * Recorder to use.
     * @default CodeRecording.recorder
     */
    recorder: CodeRecorder;
}>;
/** Preview of HTML document. */
export declare function HTMLPreview(): JSX.Element;
/**
 * Inlines scripts and stylesheets in HTML code.
 * @param html HTML code to transform
 * @param files Map of file
 * @returns Transformed HTML code.
 */
export declare function transform(html: string, files: Record<string, string>): string;
/**
 * Get CodeMirror {@link Extension} appropriate to filename extension
 * @param filename Name of file.
 * @returns Either `css()`, `html()`, or `javascript()` from `@codemirror/lang-*`.
 */
export declare function extensionFromFilename(filename: string): Extension;
/**
 * Component for displaying console logs.
 */
export declare const HTMLConsole: React.FC;
